import { j as i } from "./index.es50.js";
import * as m from "react";
import { Slot as F } from "@radix-ui/react-slot";
import { FormProvider as u, Controller as x, useFormContext as p } from "react-hook-form";
import { cn as a } from "./index.es58.js";
import { Label as I } from "./index.es22.js";
const $ = u, f = m.createContext(
  {}
), D = ({
  ...e
}) => /* @__PURE__ */ i.jsx(f.Provider, { value: { name: e.name }, children: /* @__PURE__ */ i.jsx(x, { ...e }) }), d = () => {
  const e = m.useContext(f), o = m.useContext(l), { getFieldState: r, formState: t } = p(), s = r(e.name, t);
  if (!e)
    throw new Error("useFormField should be used within <FormField>");
  const { id: n } = o;
  return {
    id: n,
    name: e.name,
    formItemId: `${n}-form-item`,
    formDescriptionId: `${n}-form-item-description`,
    formMessageId: `${n}-form-item-message`,
    ...s
  };
}, l = m.createContext(
  {}
), C = m.forwardRef(({ className: e, ...o }, r) => {
  const t = m.useId();
  return /* @__PURE__ */ i.jsx(l.Provider, { value: { id: t }, children: /* @__PURE__ */ i.jsx("div", { ref: r, className: a("space-y-2", e), ...o }) });
});
C.displayName = "FormItem";
const g = m.forwardRef(({ className: e, ...o }, r) => {
  const { error: t, formItemId: s } = d();
  return /* @__PURE__ */ i.jsx(
    I,
    {
      ref: r,
      className: a(t && "text-destructive", e),
      htmlFor: s,
      ...o
    }
  );
});
g.displayName = "FormLabel";
const j = m.forwardRef(({ ...e }, o) => {
  const { error: r, formItemId: t, formDescriptionId: s, formMessageId: n } = d();
  return /* @__PURE__ */ i.jsx(
    F,
    {
      ref: o,
      id: t,
      "aria-describedby": r ? `${s} ${n}` : `${s}`,
      "aria-invalid": !!r,
      ...e
    }
  );
});
j.displayName = "FormControl";
const v = m.forwardRef(({ className: e, ...o }, r) => {
  const { formDescriptionId: t } = d();
  return /* @__PURE__ */ i.jsx(
    "p",
    {
      ref: r,
      id: t,
      className: a("text-[0.8rem] text-muted-foreground", e),
      ...o
    }
  );
});
v.displayName = "FormDescription";
const N = m.forwardRef(({ className: e, children: o, ...r }, t) => {
  const { error: s, formMessageId: n } = d(), c = s ? String(s?.message) : o;
  return c ? /* @__PURE__ */ i.jsx(
    "p",
    {
      ref: t,
      id: n,
      className: a("text-[0.8rem] font-medium text-destructive", e),
      ...r,
      children: c
    }
  ) : null;
});
N.displayName = "FormMessage";
export {
  $ as Form,
  j as FormControl,
  v as FormDescription,
  D as FormField,
  C as FormItem,
  g as FormLabel,
  N as FormMessage,
  d as useFormField
};
//# sourceMappingURL=index.es19.js.map
