import { j as r } from "./index.es50.js";
import * as a from "react";
import { DashIcon as m } from "@radix-ui/react-icons";
import { OTPInput as c, OTPInputContext as u } from "input-otp";
import { cn as o } from "./index.es58.js";
const f = a.forwardRef(({ className: e, containerClassName: t, ...s }, n) => /* @__PURE__ */ r.jsx(
  c,
  {
    ref: n,
    containerClassName: o(
      "flex items-center gap-2 has-[:disabled]:opacity-50",
      t
    ),
    className: o("disabled:cursor-not-allowed", e),
    ...s
  }
));
f.displayName = "InputOTP";
const x = a.forwardRef(({ className: e, ...t }, s) => /* @__PURE__ */ r.jsx("div", { ref: s, className: o("flex items-center", e), ...t }));
x.displayName = "InputOTPGroup";
const j = a.forwardRef(({ index: e, className: t, ...s }, n) => {
  const i = a.useContext(u), { char: d, hasFakeCaret: l, isActive: p } = i.slots[e];
  return /* @__PURE__ */ r.jsxs(
    "div",
    {
      ref: n,
      className: o(
        "relative flex h-9 w-9 items-center justify-center border-y border-r border-input text-sm shadow-sm transition-all first:rounded-l-md first:border-l last:rounded-r-md",
        p && "z-10 ring-1 ring-ring",
        t
      ),
      ...s,
      children: [
        d,
        l && /* @__PURE__ */ r.jsx("div", { className: "pointer-events-none absolute inset-0 flex items-center justify-center", children: /* @__PURE__ */ r.jsx("div", { className: "h-4 w-px animate-caret-blink bg-foreground duration-1000" }) })
      ]
    }
  );
});
j.displayName = "InputOTPSlot";
const I = a.forwardRef(({ ...e }, t) => /* @__PURE__ */ r.jsx("div", { ref: t, role: "separator", ...e, children: /* @__PURE__ */ r.jsx(m, {}) }));
I.displayName = "InputOTPSeparator";
export {
  f as InputOTP,
  x as InputOTPGroup,
  I as InputOTPSeparator,
  j as InputOTPSlot
};
//# sourceMappingURL=index.es47.js.map
