import { j as s } from "./index.es50.js";
import * as d from "react";
import { ChevronRightIcon as l, CheckIcon as m, DotFilledIcon as u } from "@radix-ui/react-icons";
import * as e from "@radix-ui/react-menubar";
import { cn as r } from "./index.es58.js";
const S = e.Menu, C = e.Group, k = e.Portal, z = e.Sub, T = e.RadioGroup, p = d.forwardRef(({ className: t, ...a }, o) => /* @__PURE__ */ s.jsx(
  e.Root,
  {
    ref: o,
    className: r(
      "flex h-9 items-center space-x-1 rounded-md border bg-background p-1 shadow-sm",
      t
    ),
    ...a
  }
));
p.displayName = e.Root.displayName;
const f = d.forwardRef(({ className: t, ...a }, o) => /* @__PURE__ */ s.jsx(
  e.Trigger,
  {
    ref: o,
    className: r(
      "flex cursor-default select-none items-center rounded-sm px-3 py-1 text-sm font-medium outline-none focus:bg-accent focus:text-accent-foreground data-[state=open]:bg-accent data-[state=open]:text-accent-foreground",
      t
    ),
    ...a
  }
));
f.displayName = e.Trigger.displayName;
const b = d.forwardRef(({ className: t, inset: a, children: o, ...n }, i) => /* @__PURE__ */ s.jsxs(
  e.SubTrigger,
  {
    ref: i,
    className: r(
      "flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[state=open]:bg-accent data-[state=open]:text-accent-foreground",
      a && "pl-8",
      t
    ),
    ...n,
    children: [
      o,
      /* @__PURE__ */ s.jsx(l, { className: "ml-auto h-4 w-4" })
    ]
  }
));
b.displayName = e.SubTrigger.displayName;
const x = d.forwardRef(({ className: t, ...a }, o) => /* @__PURE__ */ s.jsx(
  e.SubContent,
  {
    ref: o,
    className: r(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-lg data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      t
    ),
    ...a
  }
));
x.displayName = e.SubContent.displayName;
const g = d.forwardRef(
  ({ className: t, align: a = "start", alignOffset: o = -4, sideOffset: n = 8, ...i }, c) => /* @__PURE__ */ s.jsx(e.Portal, { children: /* @__PURE__ */ s.jsx(
    e.Content,
    {
      ref: c,
      align: a,
      alignOffset: o,
      sideOffset: n,
      className: r(
        "z-50 min-w-[12rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-md data-[state=open]:animate-in data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
        t
      ),
      ...i
    }
  ) })
);
g.displayName = e.Content.displayName;
const N = d.forwardRef(({ className: t, inset: a, ...o }, n) => /* @__PURE__ */ s.jsx(
  e.Item,
  {
    ref: n,
    className: r(
      "relative flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      a && "pl-8",
      t
    ),
    ...o
  }
));
N.displayName = e.Item.displayName;
const y = d.forwardRef(({ className: t, children: a, checked: o, ...n }, i) => /* @__PURE__ */ s.jsxs(
  e.CheckboxItem,
  {
    ref: i,
    className: r(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      t
    ),
    checked: o,
    ...n,
    children: [
      /* @__PURE__ */ s.jsx("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center", children: /* @__PURE__ */ s.jsx(e.ItemIndicator, { children: /* @__PURE__ */ s.jsx(m, { className: "h-4 w-4" }) }) }),
      a
    ]
  }
));
y.displayName = e.CheckboxItem.displayName;
const h = d.forwardRef(({ className: t, children: a, ...o }, n) => /* @__PURE__ */ s.jsxs(
  e.RadioItem,
  {
    ref: n,
    className: r(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      t
    ),
    ...o,
    children: [
      /* @__PURE__ */ s.jsx("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center", children: /* @__PURE__ */ s.jsx(e.ItemIndicator, { children: /* @__PURE__ */ s.jsx(u, { className: "h-4 w-4 fill-current" }) }) }),
      a
    ]
  }
));
h.displayName = e.RadioItem.displayName;
const j = d.forwardRef(({ className: t, inset: a, ...o }, n) => /* @__PURE__ */ s.jsx(
  e.Label,
  {
    ref: n,
    className: r(
      "px-2 py-1.5 text-sm font-semibold",
      a && "pl-8",
      t
    ),
    ...o
  }
));
j.displayName = e.Label.displayName;
const w = d.forwardRef(({ className: t, ...a }, o) => /* @__PURE__ */ s.jsx(
  e.Separator,
  {
    ref: o,
    className: r("-mx-1 my-1 h-px bg-muted", t),
    ...a
  }
));
w.displayName = e.Separator.displayName;
const M = ({
  className: t,
  ...a
}) => /* @__PURE__ */ s.jsx(
  "span",
  {
    className: r(
      "ml-auto text-xs tracking-widest text-muted-foreground",
      t
    ),
    ...a
  }
);
M.displayname = "MenubarShortcut";
export {
  p as Menubar,
  y as MenubarCheckboxItem,
  g as MenubarContent,
  C as MenubarGroup,
  N as MenubarItem,
  j as MenubarLabel,
  S as MenubarMenu,
  k as MenubarPortal,
  T as MenubarRadioGroup,
  h as MenubarRadioItem,
  w as MenubarSeparator,
  M as MenubarShortcut,
  z as MenubarSub,
  x as MenubarSubContent,
  b as MenubarSubTrigger,
  f as MenubarTrigger
};
//# sourceMappingURL=index.es23.js.map
